roarclientpass(1)

NAME

roarclientpass - Passing clients to and creating new listen sockets on RoarAudio sound server

SYNOPSIS

roarclientpass [OPTIONS]...

DESCRIPTION

This program let you pass new clients to a RoarAudio sound server as as a proxy and let you add new listen sockets to a running server.

OPTIONS

--server    SERVER
    Set server hostname.

--stdin
    Client is on stdin.

--stdout
    Client is on stdout.

--stdio
    Same as --stdin --stdout.

    This option may for example be used in case of being runed from a inetd.

--stderr
    Client is on stderr.

    Beside to make stderr known as client fh it will disable error output on stderr. This must be used in case this program is used from inetd or simular tools.

--client-fh FH
    Client is on FH.

    This is basically the same as --client-fh on roard(1).

--proto PROTO
    Set the protocol used by the client.

    Defaults to RoarAudio.

--byteorder BO
    Sets the byteorder used by the client.

    Defaults to network byte order.

--listen
    Client is a listen connection.

    This is not the same as --mode listen.

--mode MODE
    Set mode of operation: none, listen or connect

    Defaults to none.

--bind BIND
    Set host/node/path for mode listen and connect.

--port PORT
    Set port for mode listen and connect.

--help
    Show this help

SEE ALSO
roartips(7), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).